# -*- coding: utf-8 -*-
class Language < ActiveRecord::Base
  def self.all_sorted(*args)
    with_scope(:find => { :order => 'display_name' }) {
      all(*args)
    }
  end

  def self.guess_from_string(string)
    case string
    when /([ぁ-ん]|[ァ-ヴ]|[一-龠])/u
      find_by_name('ja')
    else
      find_by_name('en')
    end
  end
end
